#
# spec file for package rubygem-rspec-core-3_5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-core-3_5
Version:        3.5.4
Release:        1.26
%define mod_name rspec-core
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -3_5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            https://github.com/rspec/rspec-core
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        RSpec runner and formatters
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
rspec-core provides the structure for writing executable examples of how your code should behave, and an rspec command with tools to constrain which examples get run and tailor the output.
%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="Changelog.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Thu Nov 16 2017 opensuse_buildservice@ojkastl.de
- created versioned gem for version 3.5
* Tue Jun 13 2017 coolo@suse.com
- updated to version 2.14.8
  see installed Changelog.md
  [#]## 2.14.8 / 2014-02-27
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v2.14.7...v2.14.8)
  Bug fixes:
  * Fix regression with the `TextMateFormatter` that prevented backtrace links
    from being clickable. (Stefan Daschek)
* Mon May 29 2017 opensuse_buildservice@ojkastl.de
- changed package name with suffix -2_14, renamed spec and changes file
* Tue May 23 2017 opensuse_buildservice@ojkastl.de
- changed naming of the package, as this is a versioned gem
* Tue Jul 15 2014 mrueckert@suse.com
- regenerate with new template
* Thu Jun 26 2014 mrueckert@suse.com
- move to SLE 12 packaging schema
* Fri Nov  1 2013 coolo@suse.com
- updated to version 2.14.7
  Bug fixes:
  * Fix regression in 2.14.6 that broke the Fivemat formatter.
  It depended upon either
  `example.execution_result[:exception].pending_fixed?` (which
  was removed in 2.14.6 to fix an issue with frozen error objects)
  or `RSpec::Core::PendingExampleFixedError` (which was renamed
  to `RSpec::Core::Pending::PendingExampleFixedError` in 2.8.
  This fix makes a constant alias for the old error name.
  (Myron Marston)
* Sun Oct 20 2013 coolo@suse.com
- updated to version 2.14.6
  Bug fixes:
  * Format stringified numbers correctly when mathn library is loaded.
  (Jay Hayes)
  * Fix an issue that prevented the use of frozen error objects. (Lars Gierth)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.14.5
  Bug fixes:
  * Fix a `NoMethodError` that was being raised when there were no shared
  examples or contexts declared and `RSpec.world.reset` is invoked.
  (thepoho, Jon Rowe, Myron Marston)
  * Fix a deprecation warning that was being incorrectly displayed when
  `shared_examples` are declared at top level in a `module` scope.
  (Jon Rowe)
  * Fix after(:all) hooks so consecutive (same context) scopes will run even if
  one raises an error. (Jon Rowe, Trejkaz)
  * JsonFormatter no longer dies if `dump_profile` isn't defined (Alex / @MasterLambaster, Jon Rowe)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.14.4
  Bug fixes
  * Fix regression in 2.14: ensure configured requires (via `-r` option)
    are loaded before spec files are loaded. This allows the spec files
    to programatically change the file pattern (Jon Rowe).
  * Autoload `RSpec::Mocks` and `RSpec::Expectations` when referenced if
    they are not already loaded (`RSpec::Matches` has been autoloaded
    for a while). In the `rspec` gem, we changed it recently to stop
    loading `rspec/mocks` and `rspec/expectations` by default, as some
    users reported problems where they were intending to use mocha,
    not rspec-mocks, but rspec-mocks was loaded and causing a conflict.
    rspec-core loads mocks and expectations at the appropriate time, so
    it seemed like a safe change -- but caused a problem for some authors
    of libraries that integrate with RSpec. This fixes that problem.
    (Myron Marston)
  * Gracefully handle a command like `rspec --profile path/to/spec.rb`:
    the `path/to/spec.rb` arg was being wrongly treated as the `profile`
    integer arg, which got cast `0` using `to_i`, causing no profiled
    examples to be printed. (Jon Rowe)
  [#]## 2.14.3 / 2013-07-13
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.14.2...v2.14.3)
  Bug fixes
  * Fix deprecation notices issued from `RSpec::Core::RakeTask` so
    that they work properly when all of rspec-core is not loaded.
    (This was a regression in 2.14) (Jon Rowe)
  [#]## 2.14.2 / 2013-07-09
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.14.1...v2.14.2)
  Bug fixes
  * Fix regression caused by 2.14.1 release: formatters that
    report that they `respond_to?` a notification, but had
    no corresponding method would raise an error when registered.
    The new fix is to just implement `start` on the deprecation
    formatter to fix the original JRuby/ruby-debug issue.
    (Jon Rowe)
* Mon Mar 18 2013 coolo@suse.com
- updated to version 2.13.1
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.13.0...v2.13.1)
  Bug fixes
  * Use hook classes as proxies rather than extending hook blocks to support
  lambdas for before/after/around hooks. (David Chelimsky)
  * Fix regression in 2.13.0 that caused confusing behavior when overriding
  a named subject with an unnamed subject in an inner group and then
  referencing the outer group subject's name. The fix for this required
  us to disallow using `super` in a named subject (which is confusing,
  anyway -- named subjects create 2 methods, so which method on the
  parent example group are you `super`ing to?) but `super` in an unnamed
  subject continues to work (Myron Marston).
  * Do not allow a referenced `let` or `subject` in `before(:all)` to cause
  other `let` declarations to leak across examples (Myron Marston).
  * Work around odd ruby 1.9 bug with `String#match` that was triggered
  by passing it a regex from a `let` declaration. For more info, see
  http://bugs.ruby-lang.org/issues/8059 (Aaron Kromer).
  * Add missing `require 'set'` to `base_text_formatter.rb` (Tom
  Anderson).
  Deprecations
  * Deprecate accessing `let` or `subject` declarations in `before(:all)`.
  These were not intended to be called in a `before(:all)` hook, as
  they exist to define state that is reset between each example, while
  `before(:all)` exists to define state that is shared across examples
  in an example group (Myron Marston).
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.13.0
  Enhancements
  * Allow `--profile` option to take a count argument that
  determines the number of slow examples to dump
  (Greggory Rothmeier).
  * Add `subject!` that is the analog to `let!`. It defines an
  explicit subject and sets a `before` hook that will invoke
  the subject (Zubin Henner).
  * Fix `let` and `subject` declaration so that `super`
  and `return` can be used in them, just like in a normal
  method. (Myron Marston)
  * Allow output colors to be configured individually.
  (Charlie Maffitt)
  Bug fixes
  * Don't blow up when dumping error output for instances
  of anonymous error classes (Myron Marston).
  * Fix default backtrace filters so lines from projects
  containing "gems" in the name are not filtered, but
  lines from installed gems still are (Myron Marston).
  * Fix autotest command so that is uses double quotes
  rather than single quotes for windows compatibility
  (Jonas Tingeborn).
  * Fix `its` so that uses of `subject` in a `before` or `let`
  declaration in the parent group continue to reference the
  parent group's subject. (Olek Janiszewski)
* Tue Dec 18 2012 coolo@suse.com
- updated to version 2.12.2
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.12.1...v2.12.2)
  Bug fixes
  * Fix `RSpec::Core::RakeTask` so that it is compatible with rake 0.8.7
  on ruby 1.8.7. We had accidentally broke it in the 2.12 release
  (Myron Marston).
  * Fix `RSpec::Core::RakeTask` so it is tolerant of the `Rspec` constant
  for backwards compatibility (Patrick Van Stee)
* Sun Dec  2 2012 coolo@suse.com
- updated to version 2.12.1
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.12.0...v2.12.1)
  Bug fixes
  * Specs are run even if another at\_exit hook calls `exit`. This allows
  Test::Unit and RSpec to run together. (Suraj N. Kurapati)
  * Fix full doc string concatenation so that it handles the case of a
  method string (e.g. "#foo") being nested under a context string
  (e.g. "when it is tuesday"), so that we get "when it is tuesday #foo"
  rather than "when it is tuesday#foo". (Myron Marston)
  * Restore public API I unintentionally broke in 2.12.0:
  `RSpec::Core::Formatters::BaseFormatter#format_backtrce(backtrace, example)`
* Tue Nov 13 2012 coolo@suse.com
- updated to version 2.12.0
  Enhancements
  * Add support for custom ordering strategies for groups and examples.
  (Myron Marston)
  * JSON Formatter (Alex Chaffee)
  * Refactor rake task internals (Sam Phippen)
  * Refactor HtmlFormatter (Pete Hodgson)
  * Autotest supports a path to Ruby that contains spaces (dsisnero)
  * Provide a helpful warning when a shared example group is redefined.
  (Mark Burns).
  * `--default_path` can be specified as `--default-line`. `--line_number` can be
  specified as `--line-number`. Hyphens are more idiomatic command line argument
  separators (Sam Phippen).
  * A more useful error message is shown when an invalid command line option is
  used (Jordi Polo).
  * Add `format_docstrings { |str| }` config option. It can be used to
  apply formatting rules to example group and example docstrings.
  (Alex Tan)
  * Add support for an `.rspec-local` options file. This is intended to
  allow individual developers to set options in a git-ignored file that
  override the common project options in `.rspec`. (Sam Phippen)
  * Support for mocha 0.13.0. (Andy Lindeman)
  Bug fixes
  * Remove override of `ExampleGroup#ancestors`. This is a core ruby method that
  RSpec shouldn't override. Instead, define `ExampleGroup#parent_groups`. (Myron
  Marston)
  * Limit monkey patching of shared example/context declaration methods
  (`shared_examples_for`, etc.) to just the objects that need it rather than
  every object in the system (Myron Marston).
  * Fix Metadata#fetch to support computed values (Sam Goldman).
  * Named subject can now be referred to from within subject block in a nested
  group (tomykaira).
  * Fix `fail_fast` so that it properly exits when an error occurs in a
  `before(:all) hook` (Bradley Schaefer).
  * Make the order spec files are loaded consistent, regardless of the
  order of the files returned by the OS or the order passed at
  the command line (Jo Liss and Sam Phippen).
  * Ensure instance variables from `before(:all)` are always exposed
  from `after(:all)`, even if an error occurs in `before(:all)`
  (Sam Phippen).
  * `rspec --init` no longer generates an incorrect warning about `--configure`
  being deprecated (Sam Phippen).
  * Fix pluralization of `1 seconds` (Odin Dutton)
  * Fix ANSICON url (Jarmo Pertman)
  * Use dup of Time so reporting isn't clobbered by examples that modify Time
  without properly restoring it. (David Chelimsky)
  Deprecations
  * `share_as` is no longer needed. `shared_context` and/or
  `RSpec::SharedContext` provide better mechanisms (Sam Phippen).
  * Deprecate `RSpec.configuration` with a block (use `RSpec.configure`).
* Sun Jul 29 2012 coolo@suse.com
- initial package
